PETSc version 3.15.5
Fix/Edit manual page

# DMMoabGetDofsBlockedLocal

Gets the local degree-of-freedom for the first field (component) defined on an array of MOAB EntityHandles. It is useful when performing local Blocked(Get/Set) methods in computation of element residuals and assembly of the discrete systems when all fields are co-located.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetDofsBlockedLocal(DM dm, PetscInt npoints, const moab::EntityHandle* points, PetscInt* dof)

Not Collective

### Input Parameters

| dm | - the discretization manager object
| npoints | - the total number of Entities in the points array
| points | - the MOAB EntityHandle container array which holds the field degree-of-freedom values

### Output Parameter

| dof | - the blocked local degree-of-freedom index array in the discrete representation (Vec, Mat)

### See Also

DMMoabGetDofsLocal(), DMMoabGetDofs(), DMMoabGetDofsBlockedLocal()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbfield.cxx

### Examples

src/ts/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages